<? 
include ("clases/doc_curso.class.php");
include ("clases/curso.class.php");
include ("clases/autor.class.php");
include ("clases/cabevaluacion.class.php");
$objdc = new doc_curso(); $objc = new curso(); $objd = new autor(); $objcab = new cabevaluacion();
$iddoc=$_REQUEST['id'];

if($objdc->BuscarPorCodigoDoc($iddoc))
{
   $iddoc_curso = $objdc->getIddoc_curso();
}


?>
<html>
	<head><title>mi web</title>
	<meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="Shortcut Icon" type="image/x-icon" href="assets/icons/book.ico" />
    <script src="js/sweet-alert.min.js"></script>
    <link rel="stylesheet" href="css/sweet-alert.css">
    <link rel="stylesheet" href="css/material-design-iconic-font.min.css">
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/jquery.mCustomScrollbar.css">
    <link rel="stylesheet" href="css/timeline.css">
    <link rel="stylesheet" href="css/style.css">
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
    <script>window.jQuery || document.write('<script src="js/jquery-1.11.2.min.js"><\/script>')</script>
    <script src="js/modernizr.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
    <script src="js/main.js"></script>
<style>
.text_docentes{ font-size:12px; font-family:Arial, Helvetica, sans-serif;}
</style>

		</head>
	
	<script language="javascript">
	function consultar(f){
	doc = f.iddoc.value;
	f.action = 'mancabexamen.php?id='+doc;
	f.submit();return true;
	}
	
	
	function confirmar()
		{
			if(confirm('Estas seguro de Eliminar el Registro?'))
				return true;
			else
				return false;
		}
$(function () {
  $('[data-toggle="tooltip"]').tooltip()
})
	</script>
	<body>
	<form action="" method="post" enctype="multipart/form-data" name="f">
	<div class="panel-heading">
      <h3>Lista de Cuestionarios: 
      
        <input type="hidden" name="iddoc" value="<?=$iddoc;?>">
      </h3>
	</div>
	  <table width="996" align="center">
        
        <tr class="Estilo1">
          <td><select name="buscar" class="form-control-static" onChange="consultar(this.form);">
            <option value="">Seleccione Curso </option>
            <? $lista=$objdc->ListarPorDocente($iddoc);
			 	  for($i = 0; $i<count($lista); $i++)
			       {
			         if($objc->BuscarPorCodigo($lista[$i]["idcurso"])){
				        $lista[$i]["curso"]=$objc->getCurso(); 
				      }	 
		        ?>
            <option value="<?=$lista[$i]["iddoc_curso"];?>">
            <?=$lista[$i]["curso"];?>
            </option>
            <?
		        }		
	          ?>
          </select></td>
        </tr>
        <tr class="Estilo1">
          <td>&nbsp;</td>
        </tr>
        <tr>
          <td valign="top"><table width="100%"  border="0"  class="table table-responsive">
              <tr class="active" align="center">
                <td  >Curso</td>
                <td  >Titulo</td>
                <td  >Tiempo</td>
                <td  >Activado</td>
                <td colspan="4"  align="center">ACCION</td>
              </tr>
              <? 
			  $criterio = $_REQUEST["buscar"];
			  
			//    $listapreg = $objcab->ListaTodo();		
				$listapreg = $objcab->ListarPorDocentecurso($iddoc_curso);		
				/*/////////////////////////////////////////////////77		 
			$TAMANO_PAGINA = 10;//Limito la busqueda			
			$pagina = $_GET["pagina"];//examino la p?gina a mostrar y el inicio del registro a mostrar
			if (!$pagina) {
				$inicio = 0;
				$pagina = 1;
			}
			else {
					$inicio = ($pagina - 1) * $TAMANO_PAGINA;
				}			
			$total_paginas = ceil(count($listapreg) / $TAMANO_PAGINA);//calculo el total de p?ginas*/
			
		//	$listapreg=$objcab->ListaPaginada($criterio,$inicio,$TAMANO_PAGINA);
			//////////////////////////////////////////////////////////
			  		  
			  for($i = 0; $i<count($listapreg); $i++)
			  {
			    if($objdc->BuscarPorCodigo($listapreg[$i]["iddoc_curso"])){
				      $listapreg[$i]["idcurso"]=$objdc->getIdcurso(); 
					  if($objc->BuscarPorCodigo($listapreg[$i]["idcurso"])){
				          $listapreg[$i]["curso"]=$objc->getCurso();					  
				      }
				 }	 
			  ?>
              <tr align="center" onMouseOver="this.style.backgroundColor='#f5f5f5'" onMouseOut="this.style.backgroundColor='FFFFFF'">
                <td width="30%" >
                  <?= $listapreg[$i]["curso"];?>                </td>
                <td width="34%" ><?= $listapreg[$i]["titulo"];?></td>
                <td width="11%" ><?=$listapreg[$i]["tiempo"];?></td>
                <td width="10%" ><?=$listapreg[$i]["activo"];?></td>
                <td width="3%" ><a href="resultados.php?id=<?=$listapreg[$i]["idcab"];?>" data-toggle="tooltip" title="Consultar Resultados"><span class="glyphicon glyphicon-paste"></span></a></td >
                <td width="3%" ><a href="controladores/procesacabevaluacion.php?id=<?=$listapreg[$i]["idcab"];?>&txtpara=A&iddocente=<?=$iddoc;?>&estado=<?= $listapreg[$i]["activo"];?>" data-toggle="tooltip" title="Activar/Desactivar"><span class="glyphicon glyphicon-refresh"></span></a></td >
                <td width="4%" ><a href="frmevaluacion.php?id=<?=$listapreg[$i]["idcab"];?>" data-toggle="tooltip" title="Editar"> <span class="glyphicon glyphicon-pencil"></span></a></td >
                <td width="5%" ><a href="controladores/procesacabevaluacion.php?id=<?=$listapreg[$i]['idcab'];?>&txtpara=e&iddocente=<?=$iddoc;?>" onClick="return confirmar();" data-toggle="tooltip" title="Eliminar"><span class="glyphicon glyphicon-trash"></span></a></td >
              </tr>
              <?
			  }
			  ?>
          </table></td>
        </tr>
        <tr>
          <td valign="top"><?php 
		   if ($total_paginas > 1) {
   			if ($pagina != 1)
      			echo '<a href="'.$url.'?pagina='.($pagina-1).'" class="btn btn-default">anterior</a>';
     		for ($i=1;$i<=$total_paginas;$i++) {
         		if ($pagina == $i)
            //si muestro el &iacute;ndice de la p&aacute;gina actual, no coloco enlace
            	  echo $pagina;
                else
            //si el &iacute;ndice no corresponde con la p&aacute;gina mostrada actualmente,
            //coloco el enlace para ir a esa p&aacute;gina
                  echo '  <a href="'.$url.'?pagina='.$i.'"class="btn btn-default" >'.$i.'</a>  ';
          }
           if ($pagina != $total_paginas)
              echo '<a href="'.$url.'?pagina='.($pagina+1).'" class="btn btn-default">siguiente</a>';
         }
?></td>
        </tr>
      </table>
	</form>

	</body>	
</html>